#ifdef TRIGBOARDmode
void TRIGBOARDfunction() {
  if (digitalRead(EXTWAKEpin) == LOW) {//flag if HIGH, then the external wake circuit woke the board up
    externalWake = true;
  }
  batteryVoltage = 0.00342 * analogRead(A0) + .823;
  digitalWrite(LEDpin, LOW);

  Serial.println("");
  if (externalWake)
    Serial.println("external wake");
  else {
    Serial.println("timer wake");
    //if (batteryVoltage >= 3.3)
    //digitalWrite(DONEpin, HIGH);// standard wake, so just go back to sleep, who cares...
  }
  Serial.print("Battery Voltage = ");
  Serial.println(batteryVoltage);
  dtostrf(batteryVoltage, 3, 1, batteryBuf);//converts battery voltage float to char array

  if (externalWake || batteryVoltage < batteryThreshold) {// only if external trigger was fired or the battery is low, send a push
    //readFile();
    esp_now_init();
    esp_now_set_self_role(ESP_NOW_ROLE_CONTROLLER);
    esp_now_add_peer(gatewayMac, ESP_NOW_ROLE_SLAVE, 1, key, 16);
    esp_now_set_peer_key(gatewayMac, key, 16);
    esp_now_register_send_cb([](uint8_t* mac, uint8_t sendStatus) {
      Serial.printf("send_cb, send done, status = %i\n", sendStatus);
      digitalWrite(DONEpin, HIGH);
      //gotoSleep();
    });
    char payload[100];
    if (batteryVoltage >= batteryThreshold) {
    sprintf(payload, "%s %s$Battery=%sV\0", trigBoardName, trigBoardMessage,batteryBuf);
    }else{
      sprintf(payload, "BATTERY LOW!$%s Battery=%sV\0", trigBoardName, batteryBuf);
    }

    uint8_t bs[strlen(payload)];

    //Serial.println(payload);
    //Serial.println(strlen(payload));
    memcpy(bs, &payload, strlen(payload));
    esp_now_send(gatewayMac, bs, strlen(payload));
    delay(1000);
  }
  while (1) {
    digitalWrite(DONEpin, HIGH);
    delay(100);
    digitalWrite(DONEpin, LOW);
    delay(100);
  }

}
#endif
