#ifndef HEADER_H
#define HEADER_H
//PINS
#define LEDpin 0

// These pins are for trigBoard
#define DONEpin 15
#define EXTWAKEpin 16

// gateway baord pins
#define uartTXpin 12
#define uartRXpin 14
#define buttonPin 2

// Includes - may not all be needed
#include <FS.h>                   //this needs to be first, or it all crashes and burns...
#include <ESP8266WiFi.h>          //https://github.com/esp8266/Arduino
#include <DNSServer.h>
#include <ESP8266WebServer.h>
#include <WiFiManager.h>          //https://github.com/tzapu/WiFiManager
#include <ESP8266HTTPClient.h>
#include <WiFiClientSecure.h>
#include <ArduinoJson.h>          //https://github.com/bblanchon/ArduinoJson
#include <ESP8266mDNS.h>
#include <WiFiUdp.h>
#include <ArduinoOTA.h>

#include <SoftwareSerial.h>
SoftwareSerial swSer(uartRXpin, uartTXpin, false, 256);

extern "C" {
#include <espnow.h>
#include <user_interface.h>
}

void PushStatus(const char *MessageBody, const char *MessageTitle, const char *MessageType, ...);

//functions
void initBoard();

#ifdef ESPNOWmode
void ESPNOWfunction();
#endif
#ifdef WIFImode
void WIFIfunction();
#endif
#ifdef TRIGBOARDmode
void TRIGBOARDfunction();
#endif


//global variables
char batteryBuf[5] = "";// used to convert float to a char array
boolean externalWake = false;// to figure out who woke up the board
float batteryVoltage = 0;
float batteryThreshold = 3.4;
unsigned long startTimeBlinker=0;
int pwmValue=0, pwmMult=1;
#ifdef TRIGBOARDmode
void initVariant() {
  WiFi.softAP("WiFi", "135790192384", 1, 1);
  WiFi.mode(WIFI_AP);
  wifi_set_macaddr(SOFTAP_IF, &trigMac[0]);
}
#endif

#ifdef ESPNOWmode
void initVariant() {
  WiFi.softAP("WiFi", "135790192384", 1, 1);
  WiFi.mode(WIFI_AP);
  wifi_set_macaddr(SOFTAP_IF, &gatewayMac[0]);
}
#endif

#endif
